Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.ejb
Class LocalApplicationModuleImpl

`java.lang.Object
oracle.jbo.server.ejb.SessionBeanImpl
oracle.jbo.server.ejb.LocalApplicationModuleImpl`

All Implemented Interfaces:
  javax.ejb.EnterpriseBean, java.io.Serializable, javax.ejb.SessionBean

public class LocalApplicationModuleImpl
extends SessionBeanImpl

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.jbo.server.ejb.SessionBeanImpl
`mApplicationModule`

Constructor Summary
`LocalApplicationModuleImpl()`

Method Summary
`byte[]` | `activateState(int id, boolean remove)`
`byte[]` | `activateState(int id, boolean remove, SessionData info)`
`byte[]` | `activateStateForUndo(java.lang.String id, int flags)`
`void` | `addWarning(JboWarning warn)`
`void` | `clearVOCaches(java.lang.String entityName, boolean recurse)`
`ApplicationModule` | `createApplicationModule(java.lang.String amName, java.lang.String defName)`
`ComponentObject` | `createComponentObject(java.lang.String coName, java.lang.String coDefName)`
`ViewLink` | `createViewLink(java.lang.String vlName, java.lang.String defName, ViewObject master, ViewObject detail)`
`ViewLink` | `createViewLinkBetweenViewObjects(java.lang.String vlName, java.lang.String accessorName, ViewObject master, AttributeDef[] srcAttrs, ViewObject detail, AttributeDef[] destAttrs, java.lang.String assocClause)`
`ViewLink` | `createViewLinkFromEntityAssocName(java.lang.String vlName, java.lang.String entityAssocName, ViewObject master, ViewObject detail)`
`ViewObject` | `createViewObject(java.lang.String voName, java.lang.String defName)`
`ViewObject` | `createViewObjectFromQueryClauses(java.lang.String vuName, java.lang.String eoName, java.lang.String selectClause, java.lang.String fromClause, java.lang.String whereClause, java.lang.String orderByClause)`
`ViewObject` | `createViewObjectFromQueryStmt(java.lang.String vuName, java.lang.String sqlStatement)`
`ApplicationPoolSvcMsgContext` | `doPoolMessage(ApplicationPoolSvcMsgContext ctx)`
`void` | `ejbCreate(java.util.Hashtable env)`
`void` | `fetchAttributeProperties(java.lang.String[] voNames, java.lang.String[][] voAttrNames, LocaleContext locale)`
`ApplicationModule` | `findApplicationModule(java.lang.String amName)`
`ComponentObject` | `findComponentObject(java.lang.String coName)`
`RowSetIterator` | `findRSIForEntity(RowSetIterator[] rsis, int eRowHandle)`
`ViewLink` | `findViewLink(java.lang.String vlName)`
`ViewObject` | `findViewObject(java.lang.String voName)`
`ViewObject` | `findViewObjectUsingEntity(ViewObject[] vos, java.lang.String entityName, java.lang.String[] attrName)`
`java.lang.Class` | `getApplicationModuleComponentClass()`
`java.lang.String[]` | `getApplicationModuleNames()`
`JboExceptionHandler` | `getExceptionHandler()`
`Session` | `getSession()`
`ClientDocument` | `getStyles(java.lang.String name)`
`java.lang.Object` | `getSyncLock()`
`int` | `getSyncMode()`
`Transaction` | `getTransaction()`
`protected int` | `getTransactionTimeout()`
`java.lang.String[]` | `getViewLinkNames()`
`java.lang.String[]` | `getViewObjectNames()`
`boolean` | `isRoot()`
`boolean` | `isValidIdForUndo(java.lang.String id)`
`int` | `passivateState(byte[] clientData)`
`int` | `passivateState(int id, byte[] clientData)`
`java.lang.String` | `passivateStateForUndo(java.lang.String id, byte[] clientData, int flags)`
`void` | `prepareSession(SessionData info)`
`protected void` | `registerTransactionHandlerFactory()`
`void` | `removeState(int id)`
`int` | `reservePassivationId()`
`void` | `resetState(boolean reload)`
`void` | `resetState(int flags)`
`void` | `setExceptionHandler(JboExceptionHandler hndlr)`
`void` | `setStoreForPassiveState(byte storageType)`
`void` | `setStyles(java.lang.String name, ClientDocument clientDocument)`
`void` | `setSyncMode(int mode)`
`void` | `sync()`
`java.lang.Object[]` | `transformExceptionParams(ViewObject[] vos, java.lang.String entityDefName, java.lang.String className, java.lang.Object[] params)`
`protected boolean` | `useGlobalTransaction()`

Methods inherited from class oracle.jbo.server.ejb.SessionBeanImpl
`connectToDataSource, createApplicationModule, createApplicationModule, createTransactionHandlerFactory, disconnectFromDataSource, doMessage, ejbActivate, ejbPassivate, ejbRemove, getApplicationModule, getApplicationModuleDefName, getConfigurationName, getSessionContext, getTransactionTimeOut, isJboBean, isTransactionManagedByBean, postApplicationModuleCreate, removeApplicationModule, setApplicationModuleDefName, setConfigurationName, setCurrentSessionContext, setSessionContext, useDataSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalApplicationModuleImpl

    public LocalApplicationModuleImpl()

Method Detail

### ejbCreate

    public void ejbCreate(java.util.Hashtable env)
                   throws javax.ejb.CreateException

  Throws:
    `javax.ejb.CreateException`

### createApplicationModule

    public ApplicationModule createApplicationModule(java.lang.String amName,
                                                     java.lang.String defName)
                                              throws JboEJBException

  Throws:
    `JboEJBException`

### findApplicationModule

    public ApplicationModule findApplicationModule(java.lang.String amName)
                                            throws JboEJBException

  Throws:
    `JboEJBException`

### getApplicationModuleNames

    public java.lang.String[] getApplicationModuleNames()
                                                 throws JboEJBException

  Throws:
    `JboEJBException`

### sync

    public void sync()
              throws JboEJBException

  Throws:
    `JboEJBException`

### setSyncMode

    public void setSyncMode(int mode)
                     throws JboEJBException

  Throws:
    `JboEJBException`

### getSyncMode

    public int getSyncMode()
                    throws JboEJBException

  Throws:
    `JboEJBException`

### createViewObject

    public ViewObject createViewObject(java.lang.String voName,
                                       java.lang.String defName)
                                throws JboEJBException

  Throws:
    `JboEJBException`

### createViewObjectFromQueryClauses

    public ViewObject createViewObjectFromQueryClauses(java.lang.String vuName,
                                                       java.lang.String eoName,
                                                       java.lang.String selectClause,
                                                       java.lang.String fromClause,
                                                       java.lang.String whereClause,
                                                       java.lang.String orderByClause)
                                                throws JboEJBException

  Throws:
    `JboEJBException`

### createViewObjectFromQueryStmt

    public ViewObject createViewObjectFromQueryStmt(java.lang.String vuName,
                                                    java.lang.String sqlStatement)
                                             throws JboEJBException

  Throws:
    `JboEJBException`

### findViewObject

    public ViewObject findViewObject(java.lang.String voName)
                              throws JboEJBException

  Throws:
    `JboEJBException`

### getViewObjectNames

    public java.lang.String[] getViewObjectNames()
                                          throws JboEJBException

  Throws:
    `JboEJBException`

### createViewLink

    public ViewLink createViewLink(java.lang.String vlName,
                                   java.lang.String defName,
                                   ViewObject master,
                                   ViewObject detail)
                            throws JboEJBException

  Throws:
    `JboEJBException`

### createViewLinkFromEntityAssocName

    public ViewLink createViewLinkFromEntityAssocName(java.lang.String vlName,
                                                      java.lang.String entityAssocName,
                                                      ViewObject master,
                                                      ViewObject detail)
                                               throws JboEJBException

  Throws:
    `JboEJBException`

### createViewLinkBetweenViewObjects

    public ViewLink createViewLinkBetweenViewObjects(java.lang.String vlName,
                                                     java.lang.String accessorName,
                                                     ViewObject master,
                                                     AttributeDef[] srcAttrs,
                                                     ViewObject detail,
                                                     AttributeDef[] destAttrs,
                                                     java.lang.String assocClause)
                                              throws JboEJBException

  Throws:
    `JboEJBException`

### findViewLink

    public ViewLink findViewLink(java.lang.String vlName)
                          throws JboEJBException

  Throws:
    `JboEJBException`

### getViewLinkNames

    public java.lang.String[] getViewLinkNames()
                                        throws JboEJBException

  Throws:
    `JboEJBException`

### createComponentObject

    public ComponentObject createComponentObject(java.lang.String coName,
                                                 java.lang.String coDefName)
                                          throws JboEJBException

  Throws:
    `JboEJBException`

### findComponentObject

    public ComponentObject findComponentObject(java.lang.String coName)
                                        throws JboEJBException

  Throws:
    `JboEJBException`

### isRoot

    public boolean isRoot()
                   throws JboEJBException

  Throws:
    `JboEJBException`

### getTransaction

    public Transaction getTransaction()
                               throws JboEJBException

  Throws:
    `JboEJBException`

### getSession

    public Session getSession()
                       throws JboEJBException

  Throws:
    `JboEJBException`

### getSyncLock

    public java.lang.Object getSyncLock()
                                 throws JboEJBException

  Throws:
    `JboEJBException`

### clearVOCaches

    public void clearVOCaches(java.lang.String entityName,
                              boolean recurse)
                       throws JboEJBException

  Throws:
    `JboEJBException`

### findRSIForEntity

    public RowSetIterator findRSIForEntity(RowSetIterator[] rsis,
                                           int eRowHandle)
                                    throws JboEJBException

  Throws:
    `JboEJBException`

### findViewObjectUsingEntity

    public ViewObject findViewObjectUsingEntity(ViewObject[] vos,
                                                java.lang.String entityName,
                                                java.lang.String[] attrName)
                                         throws JboEJBException

  Throws:
    `JboEJBException`

### transformExceptionParams

    public java.lang.Object[] transformExceptionParams(ViewObject[] vos,
                                                       java.lang.String entityDefName,
                                                       java.lang.String className,
                                                       java.lang.Object[] params)
                                                throws JboEJBException

  Throws:
    `JboEJBException`

### getExceptionHandler

    public JboExceptionHandler getExceptionHandler()
                                            throws JboEJBException

  Throws:
    `JboEJBException`

### setExceptionHandler

    public void setExceptionHandler(JboExceptionHandler hndlr)
                             throws JboEJBException

  Throws:
    `JboEJBException`

### addWarning

    public void addWarning(JboWarning warn)
                    throws JboEJBException

  Throws:
    `JboEJBException`

### getStyles

    public ClientDocument getStyles(java.lang.String name)
                             throws JboEJBException

  Throws:
    `JboEJBException`

### setStyles

    public void setStyles(java.lang.String name,
                          ClientDocument clientDocument)
                   throws JboEJBException

  Throws:
    `JboEJBException`

### reservePassivationId

    public int reservePassivationId()
                             throws JboEJBException

  Throws:
    `JboEJBException`

### passivateState

    public int passivateState(int id,
                              byte[] clientData)
                       throws JboEJBException

  Throws:
    `JboEJBException`

### passivateState

    public int passivateState(byte[] clientData)
                       throws JboEJBException

  Throws:
    `JboEJBException`

### passivateStateForUndo

    public java.lang.String passivateStateForUndo(java.lang.String id,
                                                  byte[] clientData,
                                                  int flags)
                                           throws JboEJBException

  Throws:
    `JboEJBException`

### activateState

    public byte[] activateState(int id,
                                boolean remove)
                         throws JboEJBException

  Throws:
    `JboEJBException`

### activateState

    public byte[] activateState(int id,
                                boolean remove,
                                SessionData info)
                         throws JboEJBException

  Throws:
    `JboEJBException`

### activateStateForUndo

    public byte[] activateStateForUndo(java.lang.String id,
                                       int flags)
                                throws JboEJBException

  Throws:
    `JboEJBException`

### isValidIdForUndo

    public boolean isValidIdForUndo(java.lang.String id)
                             throws JboEJBException

  Throws:
    `JboEJBException`

### prepareSession

    public void prepareSession(SessionData info)
                        throws JboEJBException

  Throws:
    `JboEJBException`

### doPoolMessage

    public ApplicationPoolSvcMsgContext doPoolMessage(ApplicationPoolSvcMsgContext ctx)
                                               throws JboEJBException

  Throws:
    `JboEJBException`

### resetState

    public void resetState(boolean reload)
                    throws JboEJBException

  Throws:
    `JboEJBException`

### resetState

    public void resetState(int flags)
                    throws JboEJBException

  Throws:
    `JboEJBException`

### removeState

    public void removeState(int id)
                     throws JboEJBException

  Throws:
    `JboEJBException`

### setStoreForPassiveState

    public void setStoreForPassiveState(byte storageType)
                                 throws JboEJBException

  Throws:
    `JboEJBException`

### fetchAttributeProperties

    public void fetchAttributeProperties(java.lang.String[] voNames,
                                         java.lang.String[][] voAttrNames,
                                         LocaleContext locale)
                                  throws JboEJBException

  Throws:
    `JboEJBException`

### getApplicationModuleComponentClass

    public java.lang.Class getApplicationModuleComponentClass()
                                                       throws JboEJBException

  Throws:
    `JboEJBException`

### registerTransactionHandlerFactory

    protected void registerTransactionHandlerFactory()

### getTransactionTimeout

    protected int getTransactionTimeout()

### useGlobalTransaction

    protected boolean useGlobalTransaction()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.